org.eclipse.wst.jsdt.ui

## Class JavaScriptLibrariesAction

- java.lang.Object
- - org.eclipse.wst.jsdt.ui.JavaScriptLibrariesAction

Direct Known Subclasses:
  JavaScriptSourceFoldersAction, JavaScriptSuperTypeAction

    public class JavaScriptLibrariesAction
    extends java.lang.Object

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`protected IJavaScriptProject` `project`
`protected static java.util.Hashtable` `PROPS_TO_IDS`

### Constructor Summary

Constructors
Constructor and Description
`JavaScriptLibrariesAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Shell` `getShell()`
`void` `run(IAction arg0)`
`void` `selectionChanged(IAction arg0, ISelection arg1)`
`void` `setActivePart(IAction arg0, IWorkbenchPart arg1)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### project

    protected IJavaScriptProject project

#### PROPS_TO_IDS

    protected static final java.util.Hashtable PROPS_TO_IDS

### Constructor Detail

#### JavaScriptLibrariesAction

    public JavaScriptLibrariesAction()

### Method Detail

#### setActivePart

    public void setActivePart(IAction arg0,
                              IWorkbenchPart arg1)

#### run

    public void run(IAction arg0)

#### selectionChanged

    public void selectionChanged(IAction arg0,
                                 ISelection arg1)

#### getShell

    protected Shell getShell()